package com.steering.mes.mcp.entity;

/**
 * 数据库表HTT_CONTROL_LOG所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-07-23
 */
@SuppressWarnings("serial")
public class HttControlLogEntity implements java.io.Serializable {
    /**
     * GUID主键
     */
    private String controlId = "";
    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     */
    private String logsBeg = "";
    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     */
    private String logsEnd = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 结炉状态（0.未结炉，1.结炉）
     */
    private String nodeFlag = "";
    /**
     * 炉批计划ID
     */
    private String heatPlanNo = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号（炉批号）
     */
    private String batchNo = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";
    /**
     * 工序合同号
     */
    private String contractNo = "";
    /**
     * 工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 外径
     */
    private String actDimater = "";
    /**
     * 壁厚
     */
    private String actHeight = "";
    /**
     * 长度
     */
    private String actLen = "";
    /**
     * 长度下限
     */
    private String actLenMin = "";
    /**
     * 长度上限
     */
    private String actLenMax = "";
    /**
     * 生产班次
     */
    private String proBc = "";
    /**
     * 生产班组
     */
    private String proBz = "";
    /**
     * 合格支数
     */
    private String qualifiedNum = "";
    /**
     * 合格吨
     */
    private String qualifiedWt = "";
    /**
     * 废品支数
     */
    private String scrapNum = "";
    /**
     * 废品吨
     */
    private String scrapWt = "";
    /**
     * 生产分类（1正常、2停机)
     */
    private String proType = "";
    /**
     * 停机分类
     */
    private String stopType = "";
    /**
     * 停机原因
     */
    private String stopReason = "";
    /**
     * 操作日期
     */
    private String userDate = "";
    /**
     * 操作人姓名
     */
    private String userName = "";
    /**
     * 操作人编号
     */
    private String userId = "";
    /**
     * 停机小类
     */
    private String stopSmall = "";
    /**
     * 确认时间
     */
    private String confirmTime = "";
    /**
     * 确认人
     */
    private String confirmName = "";
    /**
     * 确认状态（1.确认，0.未确认）
     */
    private String confirmFlag = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 生产年月日
     */
    private String procDate = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 规格代码
     */
    private String specCode = "";
    /**
     * 规格描述
     */
    private String specName = "";
    /**
     * 二级工序代码
     */
    private String processCodeC = "";
    /**
     * 二级工序名
     */
    private String processDescC = "";
    /**
     * 工序点：0：热处理点，1：探伤点 ，2：测量点，3：车丝，4：水压
     */
    private String station = "";
    /**
     * 审核时间
     */
    private String auditTime = "";
    /**
     * 审核人
     */
    private String auditName = "";

    /**
     * GUID主键
     * @return value
     */
    public String getControlId() {
        return controlId;
    }

    /**
     * GUID主键
     * @param controlId value
     */
    public void setControlId(String controlId) {
        this.controlId = controlId;
    }

    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     * @return value
     */
    public String getLogsBeg() {
        return logsBeg;
    }

    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     * @param logsBeg value
     */
    public void setLogsBeg(String logsBeg) {
        this.logsBeg = logsBeg;
    }

    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     * @return value
     */
    public String getLogsEnd() {
        return logsEnd;
    }

    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     * @param logsEnd value
     */
    public void setLogsEnd(String logsEnd) {
        this.logsEnd = logsEnd;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 结炉状态（0.未结炉，1.结炉）
     * @return value
     */
    public String getNodeFlag() {
        return nodeFlag;
    }

    /**
     * 结炉状态（0.未结炉，1.结炉）
     * @param nodeFlag value
     */
    public void setNodeFlag(String nodeFlag) {
        this.nodeFlag = nodeFlag;
    }

    /**
     * 炉批计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉批计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 工序合同号
     * @return value
     */
    public String getContractNo() {
        return contractNo;
    }

    /**
     * 工序合同号
     * @param contractNo value
     */
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 外径
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 长度下限
     * @return value
     */
    public String getActLenMin() {
        return actLenMin;
    }

    /**
     * 长度下限
     * @param actLenMin value
     */
    public void setActLenMin(String actLenMin) {
        this.actLenMin = actLenMin;
    }

    /**
     * 长度上限
     * @return value
     */
    public String getActLenMax() {
        return actLenMax;
    }

    /**
     * 长度上限
     * @param actLenMax value
     */
    public void setActLenMax(String actLenMax) {
        this.actLenMax = actLenMax;
    }

    /**
     * 生产班次
     * @return value
     */
    public String getProBc() {
        return proBc;
    }

    /**
     * 生产班次
     * @param proBc value
     */
    public void setProBc(String proBc) {
        this.proBc = proBc;
    }

    /**
     * 生产班组
     * @return value
     */
    public String getProBz() {
        return proBz;
    }

    /**
     * 生产班组
     * @param proBz value
     */
    public void setProBz(String proBz) {
        this.proBz = proBz;
    }

    /**
     * 合格支数
     * @return value
     */
    public String getQualifiedNum() {
        return qualifiedNum;
    }

    /**
     * 合格支数
     * @param qualifiedNum value
     */
    public void setQualifiedNum(String qualifiedNum) {
        this.qualifiedNum = qualifiedNum;
    }

    /**
     * 合格吨
     * @return value
     */
    public String getQualifiedWt() {
        return qualifiedWt;
    }

    /**
     * 合格吨
     * @param qualifiedWt value
     */
    public void setQualifiedWt(String qualifiedWt) {
        this.qualifiedWt = qualifiedWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getScrapNum() {
        return scrapNum;
    }

    /**
     * 废品支数
     * @param scrapNum value
     */
    public void setScrapNum(String scrapNum) {
        this.scrapNum = scrapNum;
    }

    /**
     * 废品吨
     * @return value
     */
    public String getScrapWt() {
        return scrapWt;
    }

    /**
     * 废品吨
     * @param scrapWt value
     */
    public void setScrapWt(String scrapWt) {
        this.scrapWt = scrapWt;
    }

    /**
     * 生产分类（1正常、2停机)
     * @return value
     */
    public String getProType() {
        return proType;
    }

    /**
     * 生产分类（1正常、2停机)
     * @param proType value
     */
    public void setProType(String proType) {
        this.proType = proType;
    }

    /**
     * 停机分类
     * @return value
     */
    public String getStopType() {
        return stopType;
    }

    /**
     * 停机分类
     * @param stopType value
     */
    public void setStopType(String stopType) {
        this.stopType = stopType;
    }

    /**
     * 停机原因
     * @return value
     */
    public String getStopReason() {
        return stopReason;
    }

    /**
     * 停机原因
     * @param stopReason value
     */
    public void setStopReason(String stopReason) {
        this.stopReason = stopReason;
    }

    /**
     * 操作日期
     * @return value
     */
    public String getUserDate() {
        return userDate;
    }

    /**
     * 操作日期
     * @param userDate value
     */
    public void setUserDate(String userDate) {
        this.userDate = userDate;
    }

    /**
     * 操作人姓名
     * @return value
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 操作人姓名
     * @param userName value
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 操作人编号
     * @return value
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 操作人编号
     * @param userId value
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 停机小类
     * @return value
     */
    public String getStopSmall() {
        return stopSmall;
    }

    /**
     * 停机小类
     * @param stopSmall value
     */
    public void setStopSmall(String stopSmall) {
        this.stopSmall = stopSmall;
    }

    /**
     * 确认时间
     * @return value
     */
    public String getConfirmTime() {
        return confirmTime;
    }

    /**
     * 确认时间
     * @param confirmTime value
     */
    public void setConfirmTime(String confirmTime) {
        this.confirmTime = confirmTime;
    }

    /**
     * 确认人
     * @return value
     */
    public String getConfirmName() {
        return confirmName;
    }

    /**
     * 确认人
     * @param confirmName value
     */
    public void setConfirmName(String confirmName) {
        this.confirmName = confirmName;
    }

    /**
     * 确认状态（1.确认，0.未确认）
     * @return value
     */
    public String getConfirmFlag() {
        return confirmFlag;
    }

    /**
     * 确认状态（1.确认，0.未确认）
     * @param confirmFlag value
     */
    public void setConfirmFlag(String confirmFlag) {
        this.confirmFlag = confirmFlag;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 生产年月日
     * @return value
     */
    public String getProcDate() {
        return procDate;
    }

    /**
     * 生产年月日
     * @param procDate value
     */
    public void setProcDate(String procDate) {
        this.procDate = procDate;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 二级工序代码
     * @return value
     */
    public String getProcessCodeC() {
        return processCodeC;
    }

    /**
     * 二级工序代码
     * @param processCodeC value
     */
    public void setProcessCodeC(String processCodeC) {
        this.processCodeC = processCodeC;
    }

    /**
     * 二级工序名
     * @return value
     */
    public String getProcessDescC() {
        return processDescC;
    }

    /**
     * 二级工序名
     * @param processDescC value
     */
    public void setProcessDescC(String processDescC) {
        this.processDescC = processDescC;
    }
    
    /**
     * 0：热处理点，1：探伤点 ，2：测量点，3：车丝，4：水压
     * @return value
     */
    public String getStation() {
        return station;
    }

    /**
     * 0：热处理点，1：探伤点 ，2：测量点，3：车丝，4：水压
     * @param station value
     */
    public void setStation(String station) {
        this.station = station;
    }

    /**
     * 审核时间
     * @return value
     */
    public String getAuditTime() {
        return auditTime;
    }

    /**
     * 审核时间
     * @param auditTime value
     */
    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    /**
     * 审核人
     * @return value
     */
    public String getAuditName() {
        return auditName;
    }

    /**
     * 审核人
     * @param auditName value
     */
    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }
    
    /**
     * 序号
     */
    private String controlSeq = "";
    /**
     * 序号
     * @return value
     */
    public String getControlSeq() {
        return controlSeq;
    }

    /**
     * 序号
     * @param controlSeq value
     */
    public void setControlSeq(String controlSeq) {
        this.controlSeq = controlSeq;
    }
}